Page MenuHomePhabricator

It's possible to paste a reference inside a wikilink, messing up the wikitext syntax
Closed, ResolvedPublic8 Story Points

Description

It's possible to paste a reference inside a wikilink, messing up the wikitext syntax in fun and unexpected ways.

https://en.wikipedia.org/w/index.php?title=User:Matma_Rex/sandbox&diff=773980370&oldid=773980116

Recording of what I did:

Event Timeline

matmarex created this task.Apr 5 2017, 3:48 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 5 2017, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It's also possible to paste a link into a link… probably all kinds of other things are totally broken.

Testing with this revision: https://en.wikipedia.org/w/index.php?title=User:Matma_Rex/sandbox&oldid=773982287 (I didn't save the edit)

Jdforrester-WMF triaged this task as High priority.Apr 11 2017, 7:14 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

For refs, we should try and respect blacklistedAnnotationTypes on paste.

Change 349428 had a related patch set uploaded (by Esanders):
[VisualEditor/VisualEditor@master] Refactor newFromAnnotation & addAnnotationsToData

https://gerrit.wikimedia.org/r/349428

Change 349428 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Refactor newFromAnnotation & addAnnotationsToData

https://gerrit.wikimedia.org/r/349428

Change 350001 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7b494035e)

https://gerrit.wikimedia.org/r/350001

Change 350001 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7b494035e)

https://gerrit.wikimedia.org/r/350001

Jdforrester-WMF closed this task as Resolved.Apr 24 2017, 6:29 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 24 2017, 6:29 PM